# ApplicationFramework
TKCDF
LDOM

# LDOM_BasicElement Class Reference

`#include <LDOM_BasicElement.hxx>`

Inheritance diagram for LDOM_BasicElement:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
| LDOM_BasicElement ()
Standard_EXPORT LDOM_BasicElement & | operator= (const LDOM_NullPtr *aNull)
Standard_EXPORT | ~LDOM_BasicElement ()
const char * | GetTagName () const
const LDOM_BasicNode * | GetFirstChild () const
Standard_EXPORT const LDOM_BasicNode * | GetLastChild () const
Standard_EXPORT const LDOM_BasicAttribute & | GetAttribute (const LDOMBasicString &aName, const LDOM_BasicNode *aLastCh) const

## Static Public Member Functions

static LDOM_BasicElement & | Create (const char *aName, const Standard_Integer aLength, const Handle(LDOM_MemManager)&aDoc)

## Protected Member Functions

Standard_EXPORT const LDOM_BasicNode * | AddAttribute (const LDOMBasicString &anAttrName, const LDOMBasicString &anAttrValue, const Handle(LDOM_MemManager)&aDoc, const LDOM_BasicNode *aLastCh)
Standard_EXPORT const LDOM_BasicNode * | RemoveAttribute (const LDOMBasicString &aName, const LDOM_BasicNode *aLastCh) const
Standard_EXPORT void | RemoveChild (const LDOM_BasicNode *aChild) const
Standard_EXPORT void | AppendChild (const LDOM_BasicNode *aChild, const LDOM_BasicNode *&aLastCh) const

## Private Member Functions

const LDOM_BasicAttribute * | GetFirstAttribute (const LDOM_BasicNode *&aLastCh, const LDOM_BasicNode **&thePrN) const
void | RemoveNodes ()
void | ReplaceElement (const LDOM_BasicElement &anOther, const Handle(LDOM_MemManager)&aDoc)
void | AddElementsByTagName (LDOM_NodeList &aList, const LDOMBasicString &aTagName) const
void | AddAttributes (LDOM_NodeList &aList, const LDOM_BasicNode *aLastCh) const

## Private Attributes

const char * | myTagName
unsigned long | myAttributeMask
LDOM_BasicNode * | myFirstChild

## Constructor & Destructor Documentation

LDOM_BasicElement::LDOM_BasicElement | ( |  | ) | `[inline]`

Standard_EXPORT LDOM_BasicElement::~LDOM_BasicElement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const LDOM_BasicNode* LDOM_BasicElement::AddAttribute | ( | const LDOMBasicString & | anAttrName,
|  | const LDOMBasicString & | anAttrValue,
|  | const Handle(LDOM_MemManager)& | aDoc,
|  | const LDOM_BasicNode * | aLastCh
| ) | `[protected]`

void LDOM_BasicElement::AddAttributes | ( | LDOM_NodeList & | aList,
|  | const LDOM_BasicNode * | aLastCh
| ) | const`[private]`

void LDOM_BasicElement::AddElementsByTagName | ( | LDOM_NodeList & | aList,
|  | const LDOMBasicString & | aTagName
| ) | const`[private]`

Standard_EXPORT void LDOM_BasicElement::AppendChild | ( | const LDOM_BasicNode * | aChild,
|  | const LDOM_BasicNode *& | aLastCh
| ) | const`[protected]`

static LDOM_BasicElement& LDOM_BasicElement::Create | ( | const char * | aName,
|  | const Standard_Integer | aLength,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[static]`

Standard_EXPORT const LDOM_BasicAttribute& LDOM_BasicElement::GetAttribute | ( | const LDOMBasicString & | aName,
|  | const LDOM_BasicNode * | aLastCh
| ) | const

const LDOM_BasicAttribute* LDOM_BasicElement::GetFirstAttribute | ( | const LDOM_BasicNode *& | aLastCh,
|  | const LDOM_BasicNode **& | thePrN
| ) | const`[private]`

const LDOM_BasicNode* LDOM_BasicElement::GetFirstChild | ( |  | ) | const`[inline]`

Standard_EXPORT const LDOM_BasicNode* LDOM_BasicElement::GetLastChild | ( |  | ) | const

const char* LDOM_BasicElement::GetTagName | ( |  | ) | const`[inline]`

void* LDOM_BasicElement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT LDOM_BasicElement& LDOM_BasicElement::operator= | ( | const LDOM_NullPtr * | aNull | ) |

| Reimplemented from LDOM_BasicNode.

Standard_EXPORT const LDOM_BasicNode* LDOM_BasicElement::RemoveAttribute | ( | const LDOMBasicString & | aName,
|  | const LDOM_BasicNode * | aLastCh
| ) | const`[protected]`

Standard_EXPORT void LDOM_BasicElement::RemoveChild | ( | const LDOM_BasicNode * | aChild | ) | const`[protected]`

void LDOM_BasicElement::RemoveNodes | ( |  | ) | `[private]`

void LDOM_BasicElement::ReplaceElement | ( | const LDOM_BasicElement & | anOther,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[private]`

## Field Documentation

unsigned long LDOM_BasicElement::myAttributeMask `[private]`

LDOM_BasicNode* LDOM_BasicElement::myFirstChild `[private]`

const char* LDOM_BasicElement::myTagName `[private]`

The documentation for this class was generated from the following file:

- LDOM_BasicElement.hxx